package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface KQShiftScheduleService {

	/**
	 * 获取排班查询条件
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

	/**
	 * 获取排班Tab页签
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getTabs(Map<String, Object> params, User user);


	/**
	 * 获取排班列表
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getShiftSchedule(Map<String, Object> params, User user);

	/**
	 * 保存
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> save(Map<String, Object> params, User user);

	/**
	 * 删除
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> del(Map<String, Object> params, User user);


	/***
	 *
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getBatchShiftScheduleFrom(Map<String, Object> params, User user);

	/**
	 * 保存
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> batchSave(Map<String, Object> params, User user);

	/**
	 * 导入排班
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> importExcel(Map<String, Object> params, User user);

	/**
	 * 导出排班
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> exportExcel(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response, User user);

	/**
	 * 导出统计
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getShiftScheduleTotal(Map<String, Object> params, User user);

	/**
	 * 获取人员排班信息
	 * @param params
	 * @param user
	 * @return
	 */
	public Map<String, Object> getHrmScheduleReportInfo(Map<String, Object> params, User user);
}
